/**
 * Created by Administrator on 2015/2/5.
 */
var mobile = {
    clear : function () {
        prompt('MyApp:' + JSON.stringify({
                obj : 'mobile',
                func : 'clear',
                args : []
            }));
    },
    getItem : function (arg0) {
        return prompt('MyApp:' + JSON.stringify({
                obj : 'mobile',
                func : 'getItem',
                args : [arg0]
            }));
    },
    getUserId : function () {
        prompt('MyApp:' + JSON.stringify({
                obj : 'mobile',
                func : 'getUserId',
                args : []
            }));
    },
    goToMain : function () {
        prompt('MyApp:' + JSON.stringify({
                obj : 'mobile',
                func : 'goToMain',
                args : []
            }));
    },
    requestByJS : function (arg0) {
        prompt('MyApp:' + JSON.stringify({
                obj : 'mobile',
                func : 'requestByJS',
                args : [arg0]
            }));
    },
    sendHttpRequest : function (arg0) {
        prompt('MyApp:' + JSON.stringify({
                obj : 'mobile',
                func : 'sendHttpRequest',
                args : [arg0]
            }));
    },
    sendHttprequest : function (arg0, arg1) {
        prompt('MyApp:' + JSON.stringify({
                obj : 'mobile',
                func : 'sendHttprequest',
                args : [arg0, arg1]
            }));
    },
    setItem : function (arg0, arg1) {
        prompt('MyApp:' + JSON.stringify({
                obj : 'mobile',
                func : 'setItem',
                args : [arg0, arg1]
            }));
    }
};

function $(element){
    if(typeof (element) == "string"){
        if(element.substr(0,1) == "."){
            return document.getElementsByClassName(element.substr(1));
        }else if(element.substr(0,1) == "#"){
            return document.getElementById(element.substr(1));
        }
    }else{
        return element;
    }
}

var constRzhlx = {
    "11": "激进型",
    "21": "稳健性",
    "12": "保守型"
}

var ConstLang = {
    "1":"A",
    "2":"B",
    "3":"C",
    "4":"D",
    "5":"E"
}

var ConstRzhlxLevel = {
    "11": 3, //激进
    "21": 2, //稳健
    "12": 1  //保守
}

var objLevel = {
    ifdo:{
        passDue: -1, //过期
        notDone: 0,  //未做过
        done: 1     //做过
    }
}
var charsChange = {
    rtzzhmc:"",
    rjl : "产品经理：",
    rtzfg2 : "产品类型：",
    rzhlx : "投资风格：",
    rcpdj : "价格："
}
var stateConst = {
    0: "未报",
    6: "已撤",
    8: "已成",
    V: "已确认"
}

var url = {

    root:"http://123.56.129.105:9091/",
    advertisement: "http://123.56.129.105:9091/infows-us/rs/users/ad",

    product: "http://123.56.129.105:9091/csp-info/rs/product/gettgproduct", //产品列表
    searchTG: "http://123.56.129.105:9091/csp-info/rs/product/searchTG", //产品详情
    tgtisk:    "http://123.56.129.105:9091/isp/upload/cp/tgtisk/tgtisk.html", // 风险揭示书
    tgcon: "http://123.56.129.105:9091/isp/upload/cp/tgcon/tgcon.html", //电子合同书
    saveCon: "http://123.56.129.105:9091/infows-us/rs/product/saveCon" //电子合同签署
//    riskDetection: "http://123.56.129.105:9091/isp/upload/cp/tgtisk/tgtisk.html" // 风险揭示书
}


function doRiskAssess(clientRisk){ // 做过风险评估 的顾客 todo
    var curProductDetails = JSON.parse(mobile.getItem("curProductDetails")).result;

    if(clientRisk.risk_level < ConstRzhlxLevel[curProductDetails.rzhlx]){ // 风险等级不够
        var riskLevel = {
            0: "默认型",
            1: "保守型",
            2: "稳健型",
            3: "激进型"
        }
        createConfirm("购买提示", "该产品的风险评级" + constRzhlx[curProductDetails.rzhlx] + ",您的风险评级为 " +riskLevel[clientRisk.risk_level]+ " 低于该产品的评级是否进行购买？", function(){
            window.location.href="riskDetection.html";
        })
    }else{
    // if不够  提示要不要购买
    //弹出风险揭示书界面
        window.location.href="riskDetection.html";

    //够 跳到我的投顾界面
    }
}


function callBack(data){
    var obj = JSON.parse(data);
    if( obj.retcode && obj.retcode == 0 ){
        createConfirm("提示信息", obj.retmsg);
        return;
    }
    if(obj.extra_data.indexOf("cmd=L-0-qda113") != -1){
        tgtiskAssess113(obj.list);
    }else if(obj.extra_data.indexOf("cmd=L-0-qt112") != -1){
        tgtiskAssess112(obj.list);
    }else if(obj.extra_data.indexOf("cmd=L-0-fxpc_tjda") != -1){ // 提交风险测评后 返回
        var str = obj.extra_data.split("&");
        var callBackData = {};
        if(str)for(var i = 0;i < str.length;i++){
            if(str[i]){
                var value = str[i].split("=");
                callBackData[value[0]] = value[1];
            }
        }
        var clientRisk = JSON.parse(mobile.getItem("clientRisk"));
        clientRisk.risk_level = callBackData.corp_risk_level;
        mobile.setItem("clientRisk", JSON.stringify(clientRisk));
        riskDetection(clientRisk);
    }else if(obj.extra_data.indexOf("L-0-ht_lcdt_cpgm") != -1){  // 确定购买产品
        buyProductAfter(obj.list);
    }else if(obj.extra_data.indexOf("L-0-ht_lcdt_cpcccx") != -1){ // 我的持仓
        callMyProdects(obj.list);
    }else if(obj.extra_data.indexOf("L-0-ht_lcdt_cpwtcx") != -1){ // 委托记录
        callMyEntrust(obj.list);
    }else if(obj.extra_data.indexOf("L-0-ht_lcdt_cpcd") != -1){ //撤单
        calEntrustAfter();
    }else{
        checkRiskassess(obj.extra_data); //购买的时候返回的风险数据
    }
}


function crossRequest(url, data, callBack){
    if(data){
        url += "?";
        for(var key in data){
            url += key + "=" + data[key] + "&";
        }
        url = url.substr(0,url.length-1);
    }
    mobile.sendHttprequest(url, callBack);
}

function crossResponse(data, callBack){
    setTimeout(function(){
        var callFun = eval(callBack);
        callFun(data);
    }, 2000);
}
